<?xml version="1.0">
<!DOCTYPE panel SYSTEM "custompanels/1.0">
<panel title="$$$/CustomPanels/Acro/PanelName=Test All Widgets" version="1" type="custom_panel">

group(placement: place_column, spacing: gLargeSpace, horizontal: align_fill, vertical: align_top)
{		
	cluster(name: '$$$/CustomPanels/Widgets/widgetName=check box, slider, progress bar',placement: place_column, spacing: gSpace, margin_height:10, horizontal: align_center, vertical: align_top, width : 500, height : 100, child_vertical: align_top)
	{
		check_box(name:'$$$/CustomPanels/Widgets/opt1=Check box',initial_value:true, margin_width : 10);
		slider(name:'$$$/CustomPanels/Widgets/opt2=Slider',horizontal: align_fill, height : 10, default_value:22,min_value:0,max_value:100,num_tick_marks:6,xmp_path: 'SliderValue',pointing:slider_point_right);	
		progress_bar(name:'$$$/CustomPanels/Widgets/opt3=Progress Bar',horizontal: align_fill, height : 10, default_value:22,min_value:0,max_value:100, is_indeterminate:true);		
	}

	cluster(name: '$$$/CustomPanels/Widgets/widgetName=static text, edit text, cat_container text',placement: place_column, spacing: gSpace, margin_height:10, horizontal: align_center, width : 400, height : 100, child_vertical: align_bottom)
	{
		static_text( name: '$$$/CustomPanels/Widgets/static_text=Static text:',font: font_small_bold_right, vertical: align_top);
		edit_text(horizontal: align_fill, font: font_small, xmp_path: 'Title', vertical: align_top);
		cat_container_edit_text(horizontal: align_fill, height: gTextViewHeight, xmp_path: 'Keywords', v_scroller: true);
	}

	cluster(name: '$$$/CustomPanels/Widgets/widgetName=popup, most-recently-used popup, separator', placement: place_column, spacing: gSpace, horizontal: align_center, margin_height:10, width : 300, height : 100, child_vertical: align_center)
	{
		mru_popup(xmp_path: 'Authors', container_type: seq_struct, no_check: true, vertical: align_top, mru_append: true);
		separator(horizontal: align_fill);
		popup(items: '$$$/CustomPanels/Widgets/Language/PopupItems= Popup 1{1}; Popup 2{2}; Popup 3{3}', xmp_path: 'foo');
	}
}
</panel>
